package com.casic.br.utils

import com.tuya.smart.sdk.api.ISubDevListener

open class TuyaSubDeviceListener : ISubDevListener {

    /**
     * 当设备功能状态变更时的通知
     *
     * @param nodeId 子设备 nodeId，子设备 DeviceBean 中的 nodeId 字段
     * @param dpStr 子设备变更的设备功能数据
     */
    override fun onSubDevDpUpdate(nodeId: String?, dps: String?) {

    }

    /**
     * 设备移除时的通知
     */
    override fun onSubDevRemoved(devId: String?) {

    }

    /**
     * 新增设备时的通知
     */
    override fun onSubDevAdded(devId: String?) {

    }

    /**
     * 子设备重命名时的通知
     */
    override fun onSubDevInfoUpdate(devId: String?) {

    }

    /**
     * 子设备在线 or 离线状态变更通知
     */
    override fun onSubDevStatusChanged(
        onlineDeviceIds: MutableList<String>?, offlineDeviceIds: MutableList<String>?
    ) {

    }
}